/**********************************************************************************************************************************/
/* Project      : TAPER                                                                                                           */
/* Module       : TPEDIT.H                                                                                                        */
/* Description  : Edit/insert of tape entries                                                                                     */
/* Version type : Module interface                                                                                                */
/* Last changed : 24-08-1998  6:40                                                                                                */
/* Update count : 16                                                                                                              */
/* OS type      : PC (DOS)                                                                                                        */
/* Compiler     : Watcom C32 Optimizing Compiler Version 10.x                                                                     */
/* Linker       : Watcom C Linker                                                                                                 */
/*                                                                                                                                */
/*                Copyleft (C) 1997-2001 ThunderWare Research Center, written by Martijn van der Heide.                           */
/*                                                                                                                                */
/*                This program is free software; you can redistribute it and/or                                                   */
/*                modify it under the terms of the GNU General Public License                                                     */
/*                as published by the Free Software Foundation; either version 2                                                  */
/*                of the License, or (at your option) any later version.                                                          */
/*                                                                                                                                */
/*                This program is distributed in the hope that it will be useful,                                                 */
/*                but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  */
/*                MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   */
/*                GNU General Public License for more details.                                                                    */
/*                                                                                                                                */
/*                You should have received a copy of the GNU General Public License                                               */
/*                along with this program; if not, write to the Free Software                                                     */
/*                Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                                     */
/*                                                                                                                                */
/**********************************************************************************************************************************/

#ifndef TPEDIT_H_INC
#define TPEDIT_H_INC

#ifdef EXTERN
#undef EXTERN
#endif
#ifdef __TPEDIT_MAIN__
#define EXTERN
#else
#define EXTERN extern
#endif

/**********************************************************************************************************************************/
/* Define flags for Standardised Custom Info Blocks                                                                               */
/**********************************************************************************************************************************/

#define INSRTCI_NONE                 0
#define INSRTCI_POKES                1
#define INSRTCI_INSTRUCT             2
#define INSRTCI_SCREEN               3
#define INSRTCI_ZXEDIT               4
#define INSRTCI_PICTURE              5

EXTERN short          HWTableXMSHandle;
EXTERN dword          HWTableLength;

dword ResizeTapeBlock       (short WhichWindow, struct TapeEntry_s *Entry, dword NewSize, dword AddedSize);
void  LoadHardwareTable     (void);
void  GetHardwareTable      (short WhichWindow, struct TapeEntry_s *Entry);

bool  EditAllTiming         (short WhichWindow);                                                         /* (Selected 0x10, 0x11) */

bool  EditHeaderBlock       (short WhichWindow, struct TapeEntry_s *Entry);                                            /* Special */
bool  EditTapeDataBlock     (short WhichWindow, struct TapeEntry_s *Entry);                                   /* 0x10, 0x11, 0x14 */
bool  EditPureToneBlock     (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x12 */
bool  EditRowOfPulsesBlock  (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x13 */
bool  EditPauseBlock        (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x20 */
bool  EditGroupStrtBlock    (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x21 */
bool  EditJumpToBlock       (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x23 */
bool  EditLoopStrtBlock     (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x24 */
bool  EditCallSequenceBlock (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x26 */
bool  EditRetSequenceBlock  (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x27 */
bool  EditSelectBlock       (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x28 */
bool  EditTextDescrBlock    (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x30 */
bool  EditMessageBlock      (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x31 */
bool  EditArchiveInfoBlock  (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x32 */
bool  EditHardwareTypeBlock (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x33 */
bool  EditCustomInfoBlock   (short WhichWindow, struct TapeEntry_s *Entry);                                               /* 0x35 */

bool  InsertTapeEntry       (short WhichWindow);

#endif
