/**********************************************************************************************************************************/
/* Project      : TAPER                                                                                                           */
/* Module       : TPMENU.H                                                                                                        */
/* Description  : Menu stuff                                                                                                      */
/* Version type : Module interface                                                                                                */
/* Last changed : 31-01-1998  10:30                                                                                               */
/* Update count : 10                                                                                                              */
/* OS type      : PC (DOS)                                                                                                        */
/* Compiler     : Watcom C32 Optimizing Compiler Version 10.x                                                                     */
/* Linker       : Watcom C Linker                                                                                                 */
/*                                                                                                                                */
/*                Copyleft (C) 1997-2001 ThunderWare Research Center, written by Martijn van der Heide.                           */
/*                                                                                                                                */
/*                This program is free software; you can redistribute it and/or                                                   */
/*                modify it under the terms of the GNU General Public License                                                     */
/*                as published by the Free Software Foundation; either version 2                                                  */
/*                of the License, or (at your option) any later version.                                                          */
/*                                                                                                                                */
/*                This program is distributed in the hope that it will be useful,                                                 */
/*                but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  */
/*                MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   */
/*                GNU General Public License for more details.                                                                    */
/*                                                                                                                                */
/*                You should have received a copy of the GNU General Public License                                               */
/*                along with this program; if not, write to the Free Software                                                     */
/*                Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                                     */
/*                                                                                                                                */
/**********************************************************************************************************************************/

#ifndef TPMENU_H_INC
#define TPMENU_H_INC

#ifdef EXTERN
#undef EXTERN
#endif
#ifdef __TPMENU_MAIN__
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN struct FontInfo *_UsedMenuFont;
EXTERN bool             _MakeGroupCancelled;

void InstallMenu             (struct WindowInfo *Window);
void GhostMenuNoSoundBlaster (short WhichWindow);
void SetActiveWindowMenu     (struct WindowInfo *MenuWindow, short WhichWindow);
void GhostMenuEmptyTape      (short WhichWindow);
void UnghostMenu             (short WhichWindow);
void GhostMenuBackup         (short WhichWindow);
void UnghostMenuBackup       (short WhichWindow);
void GhostMenuDecDirRec      (short WhichWindow);
void UnghostMenuDecDirRec    (short WhichWindow);
void GhostMenuEdHeader       (short WhichWindow);
void UnghostMenuEdHeader     (short WhichWindow);
void GhostMenuViewAs         (short WhichWindow);
void UnghostMenuViewAs       (short WhichWindow);
bool ForceNewTapeName        (short WhichWindow);
bool TestFileType            (short WhichWindow);
void TestForSelectedEntries  (short WhichWindow);
void DeleteEntryByHand       (void);

#endif
